* {
  margin: 0;
  padding: 0;
}

html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit; /* наследуем свойство box-sizing */
}

html, body {
  margin:0;
  padding:0;  
}


body {
/* динамический шрифт, зависит от размера экрана */  
  font: 19px 'Times New Roman'; 
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flexbox;
    display: -o-flex;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section { display: block; }
ol, ul { list-style: none; }

table { border-collapse: collapse; border-spacing: 0; }
img { border: 0; }

a { text-decoration: none; }
a:hover { text-decoration: underline; }


.hide {
    display: none;
}
 
.show {
    display: block;
}

#onTop {
	width:100px;
	border:1px solid #ccc;
	background:#f7f7f770;
	text-align:center;
	padding:5px;
	position:fixed;
	bottom:6em; /* отступ кнопки от нижнего края страницы*/
	right:10px;
	cursor:pointer;
	display:none;
	color:#333;
	font-family:verdana;
	font-size:11px;
}
/* 
=========================================================
Описываем шапку - НАЧАЛО
=========================================================
*/

header {
    text-align: justify;
    height: 4em;
    padding: 0.5em 3%;
    background: /* rgba(3,155,205,1); */rgb(38, 91, 105);
    color: #fff;
}
 
header::after {
    content: '';
    display: inline-block;
    width: 100%;
}
 
header > div,
header > div::before,
header nav,
header > div h1 {
    display: inline-block;
    vertical-align: middle;
    text-align: left;
}
 
header > div {
    height: 100%;
}
 
header > div::before {
    content: '';
    height: 100%;
}
 
header > div h1 {
    font-size: 1.3em;
    font-style: italic;
}

header > div h1 span {
    font-size: 0.7em;
}

header nav {
	vertical-align:top;
}

header nav a {
    padding: 0.8em 0.6em;
    white-space: nowrap;
	text-transform:uppercase;
	color:white;
	font: 0.6em 'verdana';
}
 
header nav a:last-child {
    padding-right: 0;
} 

header nav a:hover {
	color: orange;
	/* background: white; */
}

header nav a.current {
	
	color: orange;
/* 	font-weight:600;
	letter-spacing:1px;
	text-shadow: 0 0 1px white; */
}

@media screen and (max-width: 1280px){
     
    header {
        height: auto;
    }
     
    header > div,
    header > div h1,
    header nav {
        height: auto;
        width: auto;
        display: block;
        text-align: center;
    }
     
}

/* 
=========================================================
Описываем шапку - КОНЕЦ
=========================================================
*/

/* 
=========================================================
Описываем горизонтальное меню с главами - НАЧАЛО
=========================================================
*/
main nav {
	display: inline-block;
    vertical-align: middle;
	background: /* rgba(73,82,89,1); */ rgb(54, 59, 62);
    height: 3em;
    padding: 0.2em 3%;
	color: white;
	text-align: center;
	width: 100%;	
}

main nav ul {
	margin: 0;
	padding: 0;
	list-style:none;
}

main nav ul > li{
	display: inline-block;
}
	
/* section nav ul > li:not(:last-child)::after {
  content: "|";
} */

main nav a {
    padding: 0.2em 0.4em;
    white-space: nowrap;
	text-transform:uppercase;
	font:0.7em 'verdana';
	color: white;
}

main nav a.current {
	/*! background: white; */
	color: orange;
/*! font-weight:600; */ /*! letter-spacing:1px; */ /*
	text-shadow: 0 0 1px white; */
}

main nav a:hover {
	color: orange;
}

@media screen and (max-width: 1280px){
     
    section {
        height: auto;
    }

    main nav {
        height: auto;
        width: auto;
        display: block;
        text-align: center;
    }
     
}
/* 
=========================================================
Описываем горизонтальное меню с главами - КОНЕЦ
=========================================================
*/

/* 
=========================================================
Описываем центральную section - НАЧАЛО
=========================================================
*/
main {
	width: 100%;
	flex: 1 0 auto;
	-ms-flex: 1 0 auto;
	min-height:87vh;
	height:auto !important;
	_height:87vh;
	filter: progid:DXImageTransform.Microsoft..gradient (GradientType=0, startColorstr=#d3ecf5, endColorstr=#cadce2);
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient (GradientType=0, startColorstr=#d3ecf5, endColorstr=#cadce2)"; /* IE 8-9 */
	background: -webkit-linear-gradient(left, #d3ecf5, #cadce2); /* Safari 5.1, iOS 5.0-6.1, Chrome 10-25, Android 4.0-4.3 */
	background: -moz-linear-gradient(left, #d3ecf5, #cadce2); /* Firefox 3.6-15 */
	background: -o-linear-gradient(left, #d3ecf5, #cadce2); /* Opera 11.1-12 */
	background: linear-gradient(to right, #d3ecf5, #cadce2); /* Opera 15+, Chrome 25+, IE 10+, Firefox 16+, Safari 6.1+, iOS 7+, Android 4.4+ */	
	background-size: 0.2em 1em, 100%;
	overflow:auto;
}

* html main {
  height: 100%;
}
section {
   display: block;
}

section::after {
    content: '';
    display: inline-block; 
    width: 100%;
}

section#content {
	width: 1024px;
	margin: 0 auto;
	background:white;
	overflow:hidden;
}

section#content aside{
	float:left;
	width:24%;
	/*! box-shadow: 0 0 5px 2px #d0d0d066; */
	margin:5px;
	background: white;
	height: 100%;
}

section#content nav{
	display: block;
	background:white;
	color:grey;
    vertical-align: middle;
    padding: 0.2em 3%;
	text-align: left;
	height: auto;
}
section#content nav:first-child {
	min-height:200px;
}

section#content h1 {
	color: #0b95c2;
	text-align:left;
	font: 1em 'verdana';
	border-bottom: 1px solid;
	padding-bottom: 10px;
}

section#content article h1 {
	color: orange;
	text-align:center;
}

section#content nav ul>li {
	display:block;
	border-bottom: 1px dotted #5a5353;
	padding: 0.4em 0.4em;
	line-height: 0.3em;
}

section#content nav ul>li a.current {
	font-weight:bold;
}

section#content nav ul ul {
	font-size: 0.9em;
    white-space: normal;
	margin-left: 15px;
}

/* section#content nav ul ul li:hover{
	background:white;
} */

section#content nav ul ul li:last-child{
	border:none;	
}

section#content nav a{
	white-space: normal;
	text-transform:none;
	padding: 0.4em 0;
	font-size:0.7em;
	color: black;
}

/* section#content nav li:hover{
	background: #FFEBCD;
} */

section#content nav a.current{
	background:none;
}

section#content nav.const {
	margin-top:80px;
	margin-bottom:25px;
	background: #a3a8ab;
}

section#content nav.const li {
	border:none;
}

section#content nav.const a{
	color: white;
	text-transform:uppercase;
	font-size: 0.7em;
}

section#content nav.const li:hover {
	background: none;
}

section#content nav.const a:hover {
	color:#FFEBCD;
}

article{
	width:75%;
	float:right;
	padding: 25px;
	color: #504e4e;
}

article h1 {
	margin-bottom:25px;
	padding-bottom:15px;
	border-bottom: 1px solid;
	text-transform: uppercase;
}

article p{
	/*! margin-bottom: 7px; */
	text-align:justify;
	text-indent: 1.3em;
	line-height: 1.3em;
}

article ol {
	list-style-type:decimal;
	text-align:justify;
	line-height: 1.3em;
	margin-left:2.3em;
	margin-bottom: 0px;
}

article ul {
	list-style-type: disc;
	text-align:justify;
	line-height: 1.3em;
	margin-left:2.4em;
	margin-bottom: 0px;
}

article h2 {
	font-size: 1em;
    margin: 17px 0;
    /* font-style: italic; */
    color: white;
	background-color:/* rgb(3, 155, 205 ); */ rgb(29, 99, 131);
	background:/* rgb(3, 155, 205 ); *//* #039bcde6; */ rgb(29, 99, 131);
	text-transform:uppercase;
	padding: 5px 10px;
	text-align:center;
}

article h3 {
	font-size: 1.2em;
    margin: 15px;
    font-style: italic;
    color: #007da5;
}
@media screen and (max-width: 1024px){
     
    section {
        height: auto;
    }

	aside {
		width: auto;
        display: block;
	}
     
}
/* 
=========================================================
Описываем центральную section - КОНЕЦ
=========================================================
*/
.img {
	/* font-weight:bold; */
	text-align:center;
	font-size:0.8em;
	margin-bottom: 1em;
}

.simpleImg {
	display: block;
	margin:15px auto;
	border:0;
}

.simpleUl{
	list-style-type: disc;
	text-align:justify;
	margin-left:1em;
	margin-bottom: 7px;
}

.center {
	text-align:center;
	text-indent:none;
}

p.center,  div.center{
	margin: 15px auto;
}

.em {
	font-style: italic;
}

.noTab {
	text-indent: 0 !important;
}
.tb1{
	width:100%;
	margin:15px auto 30px;
	border: 1px solid grey;
	border-collapse: collapse;
}

.tb1 th, .tb1 td {
	border: 1px solid grey;
}

.tb1 th {
	padding: 10px;
	background: rgb(220, 220, 220);
	font-weight: normal;
}

.tb1 td {
	/*padding: 10px 40px 10px 10px;*/
	padding: 10px 10px 10px 10px;
}

.tb2 {/*Таблица без границ, padding 0, margin 0*/
	border:none; 
	padding:0;
	margin:15px auto;
	width:100%;
}

.tb2 td {
	border:none; 
	padding:0;
	margin:0;
}

.tb3 {/*Таблица без границ, padding 0, margin 0*/
	border:none; 
	padding:0;
	margin:15px auto;
	width:100%;
	text-align:center;
}
.tb3 tr:last-child, .td_b, .tb2 {	
	font-size: 0.84em;
	color: #000099;
}


.tb3 td {
	border:none; 
	padding:0;
	margin:0;
}


/*разметка таблицы для формул*/
.tb {
	border:none; 
	padding:0;
	margin:25px auto;
	width:auto;
}
.tb td {
	border:none; 
	padding:0;
	margin:0;
}
.sign td{
	padding-top: 6px !important;
}
/*
.tb>tr td:first-child {
	text-align:right;
	vertical-align:middle;
}
.tb>tr td:nth-child(2) {
	text-align:center;
	vertical-align:bottom;
}
.tb>tr td:last-child {
	text-align:left;
	vertical-align:middle;
}*/
/* 

/*таблица со значениями по центру*/

.tb_c tr td:not(:first-child) {
	text-align: center;
}
/*
=========================================================
Описываем footer - НАЧАЛО
=========================================================
*/

 footer {
			flex: 0 0 auto;
			-ms-flex: 0 0 auto;
			background-color:rgb(73, 82, 89);
            width: 100%;
            /* position: fixed; */
			color: white;
			font: 0.8em 'verdana';
        }
#sfedu{
	float:left;
	margin: 8px;
}
#sfedu img {
	width:50px;
}
#copyrights {
	float:right;
	color: white;
	/*font-weight:bold;*/
	margin: 15px;
}
#copyrights a {
	text-decoration:none;
	color: white;
}		
/* 
=========================================================
Описываем footer - КОНЕЦ
=========================================================
*/

/*Упражнения*/
.table{
	display:table;
	margin-bottom: 20px;
}
.tr {
	display:table-row;
}

.tr>div {
	display:table-cell;
	line-height:1.6em;
	padding:0 4px 10px 4px;
/*	border:1px solid gray;*/
}

.mark div:first-child {
	width:20px;
	padding:0 ;
}

.mark div:nth-child(2) {
	width:20px;
	text-align:right;
}

.switches_v {
	margin-left: 15px;
}
.switches_v p{
	line-height: 1.5em !important;
	margin-top: 0;
	margin-bottom: 0;
	text-align: left;
}

.task{
	font-weight:bold;
}

.exsmess{
	margin: 15px;
	line-height: 1.5em;
}

.noType{
	list-style-type: none;
	
}

.noType li{
	margin-bottom:10px;
}
/* 
=========================================================
Формулы
=========================================================
*/

#content sup, sub {
    font-size: 0.75em;
}
#content sup {
	margin-left:.2em;
}

.single_formula {
    margin-top: 0 !important;
}

.middle_formula {
	vertical-align:middle;
}
/* 
=========================================================
Списки, неразрывности
=========================================================
*/
.nobr {
	white-space: nowrap;
}

.n_list {
	margin-right:0.3em;
}
.m_list {
	margin-right:0.42em;
	font-size: 1.35em;
	vertical-align:text-top
;
}

/*
========================================================
Навигация внизу контента
========================================================
*/

article div.bottom_nav {
    display: table;
    width: 96%;
    /* right: 10px; */
    /* left: 20px; */
	margin-top: 25px;
}

div.bottom_nav>div {
    display: table-row;
}

div.bottom_nav div:first-child {
    text-align: left;
}

div.bottom_nav div:last-child {
    text-align: right;
}

div.bottom_nav div div {
    display: table-cell;
}

div.bottom_nav a {
	color: rgba(73,82,89,1);
}

/*
========================================================
Ссылка на литературу
========================================================
*/

.litra {
	text-decoration:none;
	color: #0284af;
}

a.litra:hover {
	text-decoration:none;
	color: #e2a500 !important;
}
a.litra:visited {
	text-decoration:none;
	color: #0284af;
}

/*
========================================================
Глоссарий
========================================================
*/

.alphabet li{
	display: inline-block;
    padding: 5px; /* Поля вокруг текста */
}

a.ref:visited {
    text-decoration: none;
    color: #0284af;
}
.ref {
    text-decoration: none;
    color: #0284af;
}



.nobr {
	white-space: nowrap;
}